org.eclipse.ease.debugging.events.model

## Class GetStackFramesRequest

- java.lang.Object
- - org.eclipse.ease.debugging.events.AbstractEvent
  - - org.eclipse.ease.debugging.events.model.GetStackFramesRequest

All Implemented Interfaces:
  IDebugEvent, IModelRequest

    public class GetStackFramesRequest
    extends AbstractEvent
    implements IModelRequest

### Constructor Summary

Constructors
Constructor and Description
`GetStackFramesRequest(java.lang.Object thread)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getThread()`

### Methods inherited from class org.eclipse.ease.debugging.events.AbstractEvent

`toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GetStackFramesRequest

    public GetStackFramesRequest(java.lang.Object thread)

### Method Detail

#### getThread

    public java.lang.Object getThread()

Overrides:
  `getThread` in class `AbstractEvent`